function startEntryEditorCache() {
    if ($('textarea[name="serendipity[body]"]').val() == "") {
        getCached("editor",  function(res) {
            if (res && res != null && res != "null") {
                $('textarea[name="serendipity[body]"]').text(res);
            }
        });
        getCached("extended",  function(res) {
            if (res && res != null && res != "null") {
                if ($('textarea[name="serendipity[extended]"]').val() == "") {
                    $('textarea[name="serendipity[extended]"]').text(res);
                    toggle_extended();
                }
            }
        });
    }
    
    
        
    $('textarea[name="serendipity[body]"]').one('keyup', function() {
        setInterval(function() {
            cache("editor", $('textarea[name="serendipity[body]"]').val())
        }, 5000);
    });
    $('textarea[name="serendipity[extended]"]').one('keyup', function() {
        setInterval(function() {
            cache("extended", $('textarea[name="serendipity[extended]"]').val());
        }, 5000);
    });
    
}

function eraseEntryEditorCache() {
    cache("editor", null);
    cache("extended", null);;
}

var indexedDB = window.indexedDB || window.mozIndexedDB || window.webkitIndexedDB || window.msIndexedDB;

function cache(id, data) {
    var request = indexedDB.open("cache", 1);
    request.onupgradeneeded = function (event) {
        event.target.result.createObjectStore("cache");
    };
    request.onsuccess = function(event) {
        event.target.result.transaction(["cache"], 'readwrite').objectStore("cache").put(data, id);
    };
}

function getCached(id, success) {
    var request = indexedDB.open("cache", 1);
    request.onupgradeneeded = function (event) {
        event.target.result.createObjectStore("cache");
    };
    request.onsuccess = function(event) {
        event.target.result.transaction(["cache"], 'readwrite').objectStore("cache").get(id).onsuccess = function (event) {
            success(event.target.result);
        };
    };
}