<?php # $Id$
# serendipity_event_nl2br.php 2012-04-21 16:11:00 ian $

@serendipity_plugin_api::load_language(dirname(__FILE__));

class serendipity_event_autosave_local extends serendipity_event
{
    function introspect(&$propbag)
    {
        global $serendipity;

        $propbag->add('name',          PLUGIN_EVENT_AUTOSAVE_LOCAL_NAME);
        $propbag->add('description',   PLUGIN_EVENT_AUTOSAVE_LOCAL_DESC);
        $propbag->add('stackable',     false);
        $propbag->add('author',        'onli');
        $propbag->add('version',       '0.1.2');
        $propbag->add('requirements',  array(
            'serendipity' => '0.8',
        ));
            
        $propbag->add('event_hooks',    array('backend_entryform_smarty'  => true, 
                                              'backend_save' => true,
                                              'backend_publish' => true,
                                              'external_plugin' => true
                                        )
                        );
        $propbag->add('groups', array('BACKEND'));



    }

    function generate_content(&$title) {
        $title = PLUGIN_EVENT_AUTOSAVE_LOCAL_NAME;
    }




    function event_hook($event, &$bag, &$eventData, $addData = null) {
        global $serendipity;
        $hooks = &$bag->get('event_hooks');
        if (isset($hooks[$event])) {

            switch($event) {
                case 'external_plugin':
                    switch($eventData) {
                        case 'serendipity_event_autosave_local.js':
                            header('Content-Type: text/javascript');
                            echo file_get_contents(dirname(__FILE__). '/serendipity_event_autosave_local.js');
                            break;
                        }
                    return true;
                    break;
                            
                case 'backend_entryform_smarty':
                    echo '<script src="'. $serendipity['baseURL'] .'index.php?/plugin/serendipity_event_autosave_local.js"></script>';
                    echo '<script>$(document).ready(function() { startEntryEditorCache(); });</script>';
                    return true;
                    break;

                case 'backend_save':
                case 'backend_publish':
                    echo '<script src="'. $serendipity['baseURL'] .'index.php?/plugin/serendipity_event_autosave_local.js"></script>';
                    echo '<script>$(document).ready(function() { eraseEntryEditorCache(); });</script>';
                
                    return true;
                    break;
                
                default:
                    return false;
            }

        } else {
            return false;
        }
    }
}

/* vim: set sts=4 ts=4 expandtab : */
